    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.TimeZone

    java.lang.Object
       |
       +----java.util.TimeZone

public abstract class TimeZone
extends Object
implements Serializable, Cloneable

`TimeZone` represents a time zone offset, and also figures out daylight savings.

Typically, you get a `TimeZone` using `getDefault` which creates a `TimeZone` based on the time zone where the program is running. For example, for a program running in Japan, `getDefault` creates a `TimeZone` object based on Japanese Standard Time.

You can also get a `TimeZone` using `getTimeZone` along with a time zone ID. For instance, the time zone ID for the Pacific Standard Time zone is "PST". So, you can get a PST `TimeZone` object with:

>      TimeZone tz = TimeZone.getTimeZone("PST");

You can use `getAvailableIDs` method to iterate through all the supported time zone IDs. You can then choose a supported ID to get a favorite `TimeZone`.

See Also:
  Calendar, GregorianCalendar, SimpleTimeZone

##

TimeZone()

##

clone()
  Overrides Cloneable
getAvailableIDs()
  Gets all the available IDs supported.
getAvailableIDs(int)
  Gets the available IDs according to the given time zone offset.
getDefault()
  Gets the default TimeZone for this host.
getID()
  Gets the ID of this time zone.
getOffset(int, int, int, int, int, int)
  Gets the time zone offset, for current date, modified in case of daylight savings.
getRawOffset()
  Gets unmodified offset, NOT modified in case of daylight savings.
getTimeZone(String)
  Gets the TimeZone for the given ID.
inDaylightTime(Date)
  Queries if the given date is in Daylight Savings Time in this time zone.
setDefault(TimeZone)
  Sets time zone to using the given TimeZone.
setID(String)
  Sets the time zone ID.
setRawOffset(int)
  Sets the base time zone offset to GMT.
useDaylightTime()
  Queries if this time zone uses Daylight Savings Time.

##

TimeZone

     public TimeZone()

##

getOffset

     public abstract int getOffset(int era,
                                   int year,
                                   int month,
                                   int day,
                                   int dayOfWeek,
                                   int milliseconds)

  Gets the time zone offset, for current date, modified in case of daylight savings. This is the offset to add *to* UTC to get local time.

  Parameters:
    era - the era of the given date.
    year - the year in the given date.
    month - the month in the given date. Month is 0-based. e.g., 0 for January.
    day - the day-in-month of the given date.
    dayOfWeek - the day-of-week of the given date.
    milliseconds - the millis in day in standard local time.
  Returns:
    the offset to add *to* GMT to get local time.

setRawOffset

     public abstract void setRawOffset(int offsetMillis)

  Sets the base time zone offset to GMT. This is the offset to add *to* UTC to get local time.

  Parameters:
    offsetMillis - the given base time zone offset to GMT.

getRawOffset

     public abstract int getRawOffset()

  Gets unmodified offset, NOT modified in case of daylight savings. This is the offset to add *to* UTC to get local time.

  Returns:
    the unmodified offset to add *to* UTC to get local time.

getID

     public String getID()

  Gets the ID of this time zone.

  Returns:
    the ID of this time zone.

setID

     public void setID(String ID)

  Sets the time zone ID. This does not change any other data in the time zone object.

  Parameters:
    ID - the new time zone ID.

useDaylightTime

     public abstract boolean useDaylightTime()

  Queries if this time zone uses Daylight Savings Time.

  Returns:
    true if this time zone uses Daylight Savings Time, false, otherwise.

inDaylightTime

     public abstract boolean inDaylightTime(Date date)

  Queries if the given date is in Daylight Savings Time in this time zone.

  Parameters:
    date - the given Date.
  Returns:
    true if the given date is in Daylight Savings Time, false, otherwise.

getTimeZone

     public static synchronized TimeZone getTimeZone(String ID)

  Gets the TimeZone for the given ID.

  Parameters:
    ID - the given ID.
  Returns:
    a TimeZone, or null if the given ID is not recognized.

getAvailableIDs

     public static synchronized String[] getAvailableIDs(int rawOffset)

  Gets the available IDs according to the given time zone offset.

  Parameters:
    rawOffset - the given time zone GMT offset.
  Returns:
    an array of IDs, where the time zone for that ID has the specified GMT offset. For example, "America/Phoenix" and "America/Denver" both have GMT-07:00, but differ in daylight savings behavior.

getAvailableIDs

     public static synchronized String[] getAvailableIDs()

  Gets all the available IDs supported.

  Returns:
    an array of IDs.

getDefault

     public static synchronized TimeZone getDefault()

  Gets the default TimeZone for this host.

  Returns:
    a default TimeZone.

setDefault

     public static synchronized void setDefault(TimeZone zone)

  Sets time zone to using the given TimeZone.

  Parameters:
    zone - the given time zone.

clone

     public Object clone()

  Overrides Cloneable

  Overrides:
    clone in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.